Unix
Mac OS X
iOS
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module magick Methods

## GetMagickPrecision

GetMagickPrecision() returns the maximum number of significant digits to be printed.

The format of the GetMagickPrecision method is:

      int GetMagickPrecision(void)

## IsMagickInstantiated

IsMagickInstantiated() returns MagickTrue if the ImageMagick environment is currently instantiated: MagickCoreGenesis() has been called but MagickDestroy() has not.

The format of the IsMagickInstantiated method is:

      MagickBooleanType IsMagickInstantiated(void)

## MagickCoreGenesis

MagickCoreGenesis() initializes the MagickCore environment.

The format of the MagickCoreGenesis function is:

      MagickCoreGenesis(const char *path,
        const MagickBooleanType establish_signal_handlers)

A description of each parameter follows:

##### path

the execution path of the current ImageMagick client.

##### establish_signal_handlers

set to MagickTrue to use MagickCore's own signal handlers for common signals.

## MagickCoreTerminus

MagickCoreTerminus() destroys the MagickCore environment.

The format of the MagickCoreTerminus function is:

      MagickCoreTerminus(void)

## SetMagickPrecision

SetMagickPrecision() sets the maximum number of significant digits to be printed and returns it.

The format of the SetMagickPrecision method is:

      int SetMagickPrecision(const int precision)

A description of each parameter follows:

##### precision

set the maximum number of significant digits to be printed.

Discourse Server • Studio